/*
 * @Author: zc
 * @description 司法行政执法监督
 */
import request from '@/utils/request';

/**
 * @description 左上工单数据
 */
export const leftTopData = (params?: object) => {
    return request({
        url: `/api/v1/EnforcementScreen/order-module-statistics`,
        method: 'get',
        params,
    });
};

/**
 * @description 左中数据
 */
export const leftCenterData = (params?: object) => {
    return request({
        url: `/api/v1/EnforcementScreen/order-accept-type-statistics`,
        method: 'get',
        params,
    });
}
/**
 * @description 左下数据
 */
export const leftBottomData = (params?: object) => {
    return request({
        url: `/api/v1/EnforcementScreen/order-event-type-statistics`,
        method: 'get',
        params,
    });
}
/**
 * @description 中上地图数据
 */
export const centerTopData = (params?: object) => {
    return request({
        url: `/api/v1/EnforcementScreen/order-area-query`,
        method: 'get',
        params,
    });
}
/**
 * @description 中下数据
 */
export const centerBottomData = (params?: object) => {
    return request({
        url: `/api/v1/EnforcementScreen/order-overview`,
        method: 'get',
        params,
    });
}
/**
 * @description 右上数据
 */
export const rightTopData = (params?: object) => {
    return request({
        url: `/api/v1/EnforcementScreen/order-visitorg-statistics`,
        method: 'get',
        params,
    });
}
/**
 * @description 右中数据
 */
export const rightCenterData = (params?: object) => {
    return request({
        url: `/api/v1/EnforcementScreen/order-monthly-trend`,
        method: 'get',
        params,
    });
}
/**
 * @description 右下数据
 */
export const rightBottomData = (params?: object) => {
    return request({
        url: `/api/v1/EnforcementScreen/order-proportion-statistics`,
        method: 'get',
        params,
    });
}